> For the complete documentation index, see [llms.txt](https://docs.drivequant.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.drivequant.com/backend/stolen-vehicle/create-a-theft-report.md).

# Create a theft report

This service can be used to report a vehicle as stolen.

When a vehicle is reported stolen, it triggers an active search for the iBeacon identifier associated with this vehicle. Every detection of the searched iBeacon will be captured, and its location information transmitted to the client's push service.

{% hint style="warning" %}
Theft reports expire after **30 days**, after which push notifications will no longer be sent.

You are responsible for maintaining **the mapping between the iBeacon identifier in the theft report and the corresponding stolen vehicle**. DriveKit transmits the detected tag identifier and its location, but does not manage the association with the vehicle directly.
{% endhint %}

{% hint style="info" %}
If you have your **admin API key**, you can try the API via this [**link**](https://drivequant.stoplight.io/docs/drivequant-public/f97b19442bcb7-create-a-theft-report).
{% endhint %}

## POST /drivekit/admin/beacon/report

> Create a theft report

```json
{"openapi":"3.0.3","info":{"title":"DKAdminStolenVehicleServiceV3","version":"1.0"},"servers":[{"url":"https://service.drivequant.com/v3","description":"Prod"}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"name":"DriveKit-Admin-API-Key","type":"apiKey","in":"header"}},"schemas":{"StolenVehicleReportResponse":{"title":"StolenVehicleReportResponse","type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the stolen vehicle report"},"requestDate":{"type":"string","format":"date-time","description":"The date and time when the report was created, in ISO 8601 format"},"theftReportDate":{"type":"string","format":"date-time","description":"The date and time when the vehicle was reported as stolen, in ISO 8601 format"},"theftReportClosingDate":{"type":"string","format":"date-time","description":"The date and time when the theft report was closed, in ISO 8601 format"},"status":{"type":"string","description":"The status of the theft report","enum":["ACTIVE","EXPIRED","CANCELED"]},"beacon":{"type":"object","properties":{"uuid":{"type":"string","format":"uuid","description":"The unique identifier of the beacon"},"major":{"type":"integer","minimum":0,"maximum":65535,"description":"The major value of the iBeacon"},"minor":{"type":"integer","minimum":0,"maximum":65535,"description":"The minor value of the iBeacon"}}}}},"ErrorResponse":{"title":"ErrorResponse","type":"object","properties":{"message":{"type":"string"},"code":{"type":"integer"},"messageKey":{"type":"string"}}}}},"paths":{"/drivekit/admin/beacon/report":{"post":{"summary":"Create a theft report","tags":[],"operationId":"post-drivekit-admin-beacon-reports","parameters":[{"schema":{"type":"string"},"in":"header","name":"DriveKit-Admin-API-Key","description":"Drivekit Admin API key","required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"uuid":{"type":"string","format":"uuid","description":"The unique identifier of the beacon associated with the vehicle to be reported as stolen."},"major":{"type":"integer","minimum":0,"maximum":65535,"description":"The major value of the iBeacon"},"minor":{"type":"integer","minimum":0,"maximum":65535,"description":"The minor value of the iBeacon"},"theftReportDate":{"type":"string","format":"date-time","description":"The date and time when the vehicle was reported as stolen, in ISO 8601 format."}},"required":["uuid","major","minor","theftReportDate"]}}}},"responses":{"200":{"description":"Report created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StolenVehicleReportResponse"}}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Request body

The table below summarizes the content of the request body.

<table><thead><tr><th width="150.00390625">Field</th><th width="149.6484375">Format</th><th>Descriptio</th></tr></thead><tbody><tr><td>uuid</td><td><code>string</code></td><td>iBeacon UUID. </td></tr><tr><td>major</td><td><code>integer</code></td><td>iBeacon major identifier</td></tr><tr><td>minor</td><td><code>integer</code></td><td>iBeacon minor identifier</td></tr><tr><td>theftReportDate</td><td><code>string</code></td><td><p>Date at which the theft was reported to the authorities.</p><p><em>Date format: <code>YYYY-MM-dd’T’HH:mm:ss.SSSZ</code></em></p></td></tr></tbody></table>

{% hint style="info" %}
The UUID must follow the standard format defined by Apple for iBeacon proximity regions: `xxxxxxxx‑xxxx‑xxxx‑xxxx‑xxxxxxxxxxxx` (8‑4‑4‑4‑12 hexadecimal characters, separated by hyphens). See [Apple's CLBeacon.uuid documentation](https://developer.apple.com/documentation/corelocation/clbeacon/uuid) for details.
{% endhint %}

<details>

<summary>Sample request body</summary>

{% code expandable="true" %}

```json
{
  "uuid": "123e4567-e89b-12d3-a456-426614174000",
  "major": 1,
  "minor": 100,
  "theftReportDate": "2026-04-02T10:05:10.697+0000"
}
```

{% endcode %}

</details>

## Response body

The table below summarizes the content of the response body.

<table><thead><tr><th width="209.8984375">Field</th><th width="99.515625">Format</th><th>Descriptio</th></tr></thead><tbody><tr><td>id</td><td><code>string</code></td><td>Unique identifier of the theft report</td></tr><tr><td>beacon</td><td><code>object</code></td><td><p>Beacon information.</p><p><em>See</em> <a href="#beacon"><em>Beacon</em></a></p></td></tr><tr><td>requestDate</td><td><code>string</code></td><td>Date at which the theft was reported on DriveQuant platform.<br><em>Date format: <code>YYYY-MM-dd’T’HH:mm:ss.SSSZ</code></em></td></tr><tr><td>theftReportDate</td><td><code>string</code></td><td><p>Date at which the theft was reported to the authorities.</p><p><em>Date format: <code>YYYY-MM-dd’T’HH:mm:ss.SSSZ</code></em></p></td></tr><tr><td>theftReportClosingDate</td><td><code>string</code></td><td><p>Date at which the theft report expires.</p><p><em>Date format: <code>YYYY-MM-dd’T’HH:mm:ss.SSSZ</code></em></p></td></tr><tr><td>status</td><td><code>string</code></td><td>Status of the report.<br><em>Allowed values: <code>ACTIVE</code>, <code>EXPIRED</code>, <code>CANCELED</code></em></td></tr></tbody></table>

### Beacon

The table below summarizes the content of the `Beacon` object.

<table><thead><tr><th width="150.00390625">Field</th><th width="149.6484375">Format</th><th>Descriptio</th></tr></thead><tbody><tr><td>uuid</td><td><code>string</code></td><td>iBeacon UUID</td></tr><tr><td>major</td><td><code>integer</code></td><td>iBeacon major identifier</td></tr><tr><td>minor</td><td><code>integer</code></td><td>iBeacon minor identifier</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.drivequant.com/backend/stolen-vehicle/create-a-theft-report.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
